Bug 1792402

Summary: Review Request: php-laminas-stratigility - Middleware for PHP
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-25 09:34:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1792281, 1792401    
Bug Blocks: 1792403    

Description Remi Collet 2020-01-17 15:44:04 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-stratigility.git/plain/php-laminas-stratigility.spec?id=b007912edc0f62565a46ed313edd8620f08e9b25
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-stratigility-2.2.2p1-1.remi.src.rpm
Description: 
From "Strata", Latin for "layer", and "agility".

Stratigility is a port of Sencha Connect to PHP.
It allows you to create and dispatch middleware pipelines.

Documentation: https://docs.laminas.dev/laminas-stratigility/



Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2020-01-23 21:45:09 UTC
 - Please fix the changelog entry:

php-laminas-stratigility.noarch: W: incoherent-version-in-changelog 2.8.0-1 ['2.2.2p1-1.fc32', '2.2.2p1-1']

* Fri Jan 10 2020 Remi Collet <remi@remirepo.net> - 2.2.2p1-1
- switch to Laminas
- update to 2.2.2p1
- raise dependency on http-interop/http-middleware 0.5
- add dependency on webimpress/http-middleware-compatibility


 - License ok
 - Builds in mock
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved. Please fix the aforementioned issue before import.

Comment 2 Gwyn Ciesla 2020-01-24 14:34:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-stratigility

Comment 3 Remi Collet 2020-01-25 09:34:52 UTC
>  - Please fix the changelog entry:

Done

Thanks

Built